<% @title = 'Edit User' %>
<h1><%= @title %></h1>
<%= render_errors_for "user" %>
<div class="frm">
  <%= start_form_tag({:action => 'update'}, {"name" => "frm", "onsubmit" => "javascript:return checkPassword();"}) %>
  <%= hidden_field "user", "id" %>
  <fieldset>
    <legend>Info</legend>
    <table cellpadding="4" width="100%">
      <tr>
	<td width="40%"><label for="login">Login</label></td>
	<td><%= text_field("user", "login", "id" => "login", "size" => 30, "autocomplete" => "off") %></td>
      </tr>
      <tr>									     
	<td><label for="first_name">First Name</label></td>
	<td><%= text_field("user", "first_name", "id" => "first_name", "size" => 30, "maxlength" => 60) %></td>
      </tr>
      <tr>
	<td><label for="last_name">Last Name</label></td>
	<td><%= text_field("user", "last_name", "id" => "last_name", "size" => 30, "maxlength" => 60) %></td>
      </tr>
      <tr>
	<td><label for="email">Email</label></td>
	<td><%= text_field("user", "email", "id" => "email", "size" => 30, "maxlength" => 120) %></td>
      </tr>
      <tr>
	<td><label for="phone">Phone</label></td>
	<td><%= text_field("user", "phone", "id" => "phone", "size" => 30, "maxlength" => 60) %></td>
      </tr>
      <tr>
	<td><label for="notify">Email Notifications</label></td>
	<td>
	  <div class="small_note" style="float: right;">Send me a notification email when a task is changed.</div>
	  <%= check_box("user", "is_notify", "id" => "notify") %>
        </td>
      </tr>
      <% if logged_user.is_admin? -%>
      <tr>
	<td><label for="admin">Admin</label></td>
	<td>
	  <div class="small_note" style="float: right;">Only <em>admin</em> can manage projects and users.</div>
	  <%= check_box("user", "is_admin", "id" => "admin") %>
        </td>
      </tr>
      <% end -%>
      <tr>
	<td><label for="status">Active</label></td>
	<td>
	  <div class="small_note" style="float: right;">You can't delete users, because BugTrack<br />needs to keep the history of each bug.</div>
	  <%= check_box("user", "status", {"id" => "status"}, User::ACTIVE, User::DISABLED) %>
        </td>
      </tr>
    </table>
  </fieldset>
  <p />
  <fieldset>
    <legend>Password</legend>
    <div class="small_note" style="float: right; width: 200px;">Leave blank if you don't want to change password<p />Please confirm your password</div>
    <table cellpadding="4">
      <tr>
	<td width="50%"><label for="pwd">Password</label></td>
	<td><input type="password" name="new_pwd" id="pwd" size="20" maxlength="60" value="" /></td>
      </tr>
      <tr>
	<td><label for="confirm_pwd">Confirm Password</label></td>
	<td><input type="password" name="confirm_pwd" id="confirm_pwd" size="20" maxlength="60" value="" /></td>
      </tr>
    </table>
  </fieldset>
  <div class="btn"><input type="submit" value="Update User" />&nbsp;<input type="button" value="Cancel" onclick="javascript:window.location ='<%= url_for :action => "show", :id => @user.id %>'" /></div>
  <%= end_form_tag %>					
</div>
